libzypp: zypp::media::CredentialManager::Impl Struct Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | List of all members
zypp::media::CredentialManager::Impl Struct Reference

## Public Member Functions
| Impl (CredManagerOptions &&options)
| Impl (const Impl &)=delete
| Impl (Impl &&)=delete
Impl & | operator= (const Impl &)=delete
Impl & | operator= (Impl &&)=delete
| ~Impl ()
void | init_globalCredentials ()
void | init_userCredentials ()
bool | processCredentials (AuthData_Ptr &cred)
AuthData_Ptr | getCred (const Url &url) const
AuthData_Ptr | getCredFromFile (const Pathname &file)
void | saveGlobalCredentials ()
void | saveUserCredentials ()

## Public Attributes
CredManagerOptions | _options
CredentialSet | _credsGlobal
CredentialSet | _credsUser
CredentialSet | _credsTmp
bool | _globalDirty
bool | _userDirty

## Detailed Description

Definition at line 85 of file credentialmanager.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::media::CredentialManager::Impl::Impl | ( | CredManagerOptions && | options | ) |

Definition at line 126 of file credentialmanager.cc.

## ◆ Impl() [2/3]

zypp::media::CredentialManager::Impl::Impl | ( | const Impl & |  | ) |
| delete

## ◆ Impl() [3/3]

zypp::media::CredentialManager::Impl::Impl | ( | Impl && |  | ) |
| delete

## ◆ ~Impl()

zypp::media::CredentialManager::Impl::~Impl | ( |  | ) |
| inline

Definition at line 94 of file credentialmanager.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Impl & zypp::media::CredentialManager::Impl::operator= | ( | const Impl & |  | ) |
| delete

## ◆ operator=() [2/2]

Impl & zypp::media::CredentialManager::Impl::operator= | ( | Impl && |  | ) |
| delete

## ◆ init_globalCredentials()

void zypp::media::CredentialManager::Impl::init_globalCredentials | ( |  | ) |

Definition at line 136 of file credentialmanager.cc.

## ◆ init_userCredentials()

void zypp::media::CredentialManager::Impl::init_userCredentials | ( |  | ) |

Definition at line 159 of file credentialmanager.cc.

## ◆ processCredentials()

bool zypp::media::CredentialManager::Impl::processCredentials | ( | AuthData_Ptr & | cred | ) |

Definition at line 181 of file credentialmanager.cc.

## ◆ getCred()

AuthData_Ptr zypp::media::CredentialManager::Impl::getCred | ( | const Url & | url | ) | const

Definition at line 209 of file credentialmanager.cc.

## ◆ getCredFromFile()

AuthData_Ptr zypp::media::CredentialManager::Impl::getCredFromFile | ( | const Pathname & | file | ) |

Definition at line 239 of file credentialmanager.cc.

## ◆ saveGlobalCredentials()

void zypp::media::CredentialManager::Impl::saveGlobalCredentials | ( |  | ) |

Definition at line 311 of file credentialmanager.cc.

## ◆ saveUserCredentials()

void zypp::media::CredentialManager::Impl::saveUserCredentials | ( |  | ) |

Definition at line 316 of file credentialmanager.cc.

## Member Data Documentation

## ◆ _options

CredManagerOptions zypp::media::CredentialManager::Impl::_options

Definition at line 108 of file credentialmanager.cc.

## ◆ _credsGlobal

CredentialSet zypp::media::CredentialManager::Impl::_credsGlobal

Definition at line 110 of file credentialmanager.cc.

## ◆ _credsUser

CredentialSet zypp::media::CredentialManager::Impl::_credsUser

Definition at line 111 of file credentialmanager.cc.

## ◆ _credsTmp

CredentialSet zypp::media::CredentialManager::Impl::_credsTmp

Definition at line 112 of file credentialmanager.cc.

## ◆ _globalDirty

bool zypp::media::CredentialManager::Impl::_globalDirty

Definition at line 114 of file credentialmanager.cc.

## ◆ _userDirty

bool zypp::media::CredentialManager::Impl::_userDirty

Definition at line 115 of file credentialmanager.cc.

The documentation for this struct was generated from the following file:

- zypp-media/auth/credentialmanager.cc